
 
///表4基本回归///

**专利总量**
reg lnpatent l.group ,r
est store m1
reg lnpatent  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  ,r
est store m2
reg lnpatent  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m3
esttab m1 m2 m3 using"G:\group\full1.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 


**发明专利**
reg lnpatent_I l.group ,r
est store m1
reg lnpatent_I  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI ,r
est store m2
reg lnpatent_I  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m3
esttab m1 m2 m3 using"G:\group\full2.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 




///表5工具变量回归//
ivreg210 lnpatent  (l.group=l.gpolicy_trade) l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r first
est store m1
ivreg210 lnpatent_I  (l.group=l.gpolicy_trade) l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r first
est store m2
esttab m1 m2  using "G:\group\IV.rtf" , replace scalar(r2_a N) compress nogaps star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f)
est clear 

//表6 内部资本市场//
**专利总量**
reg lnpatent l.CFO l.otherCFO_mean   if l.group==1 ,r
est store m1
reg lnpatent l.CFO l.otherCFO_mean l.Size l.Q l.ROA l.Tang l.Lev  l.Top1 l.Ind l.HHI     if l.group==1 ,r
est store m2
reg lnpatent l.CFO l.otherCFO_mean l.Size l.Q l.ROA l.Tang l.Lev  l.Top1 l.Ind l.HHI    iid* iyear* if l.group==1 ,r
est store m3
esttab m1 m2 m3 using"G:\group\mechanism1-1.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 
**发明专利** 
reg lnpatent_I l.CFO l.otherCFO_mean   if l.group==1 ,r
est store m4
reg lnpatent_I l.CFO l.otherCFO_mean l.Size l.Q l.ROA l.Tang l.Lev  l.Top1 l.Ind l.HHI    if l.group==1 ,r
est store m5
reg lnpatent_I l.CFO l.otherCFO_mean l.Size l.Q l.ROA l.Tang l.Lev  l.Top1 l.Ind l.HHI  iid*  if l.group==1 ,r
est store m6
esttab m4 m5 m6 using"G:\group\mechanism1-2.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 

//表7 内部知识市场//
**专利总量**
reg lnpatent l.ln_otherpatent   if group==1,r
est store m1
reg lnpatent l.ln_otherpatent l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  if group==1,r
est store m2
reg lnpatent l.ln_otherpatent l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear*   if l.group==1,r
est store m3
esttab m1 m2 m3 using"G:\group\mechanism2-1.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid* ) replace 
 
**发明专利** 
reg lnpatent_I l.ln_otherpatentI  if group==1,r
est store m4
reg lnpatent_I l.ln_otherpatentI l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI   if group==1,r
est store m5
reg lnpatent_I l.ln_otherpatentI l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear*  if l.group==1,r
est store m6
esttab m4 m5 m6 using"G:\group\mechanism2-2.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid* ) replace 

//表8 企业集团与专利回报率//
reg return l.group lnpatent  l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m1
reg returnl.group_lnpatent l.group lnpatent  l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m2
reg returnl.group lnpatent_I  l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m3
reg returnl.group_lnpatentI l.group lnpatent_I  l.Size l.Q l.ROA l.Tang l.CFO l.Lev l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m4
esttab m1 m2 m3 m4 using"G:\group\mechanism3.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid* ) replace 

//表9 企业集团与创新效率//

reg lnRDE l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI iid* iyear*  ,r
est store m1
reg lnRDEI l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI iid* iyear*  ,r
est store m2
esttab m1 m2  using"G:\group\mechanism4.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 
 
//表10 PSM//
psmatch2 group Size Q ROA Tang CFO Lev  Top1 Ind HHI iid*  iyear* , out(lnpatent) radius caliper(0.0001) logit common 
pstest Size Q ROA Tang CFO Lev  Top1 Ind HHI, both graph 
reg lnpatent l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI iid* iyear* if  _weight != . ,r
est store m1
reg lnpatent_I l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI iid* iyear*  if  _weight != . ,r
est store m2
esttab m1 m2  using"G:\group\psm.rtf", replace scalar(r2_a N) compress nogaps star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f)
est clear 

//表11 改变估计方法//

**专利总量**

nbreg lnpatent  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m1
poisson lnpatent  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m2
esttab m1 m2  using"G:\group\nbregpossion1.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 

**发明专利**
nbreg lnpatent l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m1
poisson lnpatent_I  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m2
esttab m1 m2  using"G:\group\nbregpossion2.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 


//表12 使用其他专利//
reg lnpatent_U  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m1
reg lnpatent_D  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m2
esttab m1 m2  using"G:\group\other.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 

//表13 使用专利申请量//

**专利总量**
reg lnpatent2  l.group ,r
est store m1
reg  lnpatent2   l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  ,r
est store m2
reg  lnpatent2   l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m3
esttab m1 m2 m3 using"G:\group\app1.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 


**发明专利**
reg lnpatent_I2 l.group ,r
est store m1
reg lnpatent_I2 l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI ,r
est store m2
reg lnpatent_I2  l.group l.Size l.Q l.ROA l.Tang l.CFO l.Lev  l.Top1 l.Ind l.HHI  iid* iyear* ,r
est store m3
esttab m1 m2 m3 using"G:\group\app2.rtf" , nogap b(%6.4f) t(%6.4f) scalars(N r2) star(* 0.1 ** 0.05 *** 0.01) drop(iid*) replace 
